Skip to content

Bandwidth Control (Template) ​

7 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getBandwidthCtrlTemplateGETGet bandwidth control template
modifyBandwidthCtrlTemplatePATCHModify bandwidth control template
getGridBandwidthCtrlRuleTemplateGETGet bandwidth control template rule list
modifyBandwidthCtrlRuleIndexTemplatePATCHModify bandwidth control template rule index
createBandwidthCtrlRuleTemplatePOSTCreate bandwidth control template rule
deleteBandwidthCtrlRuleTemplateDELETEDelete bandwidth control template rule
modifyBandwidthCtrlRuleTemplatePATCHModify bandwidth control template rule

getBandwidthCtrlTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/bandwidth-control

Get bandwidth control template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getBandwidthCtrlTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get bandwidth control template.
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyBandwidthCtrlTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/bandwidth-control

Modify bandwidth control template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema BandwidthControl

FieldTypeRequiredDescription
enablebooleanyesEnable the bandwidth control.
thresholdControlEnablebooleannoEnable the threshold control of the bandwidth control.
thresholdValueintegernoThreshold value should be within the range of 1–100. Threshold value must be entered when threshold control is enable.
bandwidthPortSettingsarray<BandwidthPortSetting>noBandwidth port settings of the bandwidth control.
json
// omada_call_operation
{
  "operationId": "modifyBandwidthCtrlTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify bandwidth control template.
The interface requires one of the permissions:
Global Site Template Manager Modify

getGridBandwidthCtrlRuleTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/bandwidth-control/rules

Get bandwidth control template rule list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridBandwidthCtrlRuleTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get bandwidth control template rule list.
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyBandwidthCtrlRuleIndexTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/bandwidth-control/rules

Modify bandwidth control template rule index

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema TransmissionDragSortIndexOpenapiVO

FieldTypeRequiredDescription
indexesobjectyesThe order in which items take effect, this object is a Map, the key is item ID and the value is the index you want to set.
json
// omada_call_operation
{
  "operationId": "modifyBandwidthCtrlRuleIndexTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify bandwidth control template rule index.
The interface requires one of the permissions:
Global Site Template Manager Modify

createBandwidthCtrlRuleTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/bandwidth-control/rules

Create bandwidth control template rule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema BandwidthControlRule

FieldTypeRequiredDescription
idstringnoID of the bandwidth control rule.
namestringyesName should contain 1 to 64 characters.
indexintegernoIndex of the bandwidth control rule.
statusbooleanyesStatus of the bandwidth control rule.
sourceTypeintegernoSource type should be a value as follows: 0: network; 1: IP group.
sourceIdsarray<string>yesSource IDs of the bandwidth control rule. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. IP group can be created using 'Create a new group profile' interface, and IP group ID can be obtained from 'Get group profile list' interface.
wanPortIdsarray<string>yesWAN port IDs of the bandwidth control rule.WAN port ID can be obtained from 'Get internet basic info' interface.
upstreamBandwidthintegeryesUpstream bandwidth should be within the range of 1–9999999.
upstreamBandwidthUnitintegeryesUpstream bandwidth unit should be a value as follows: 1: Kbps, 2: Mbps.
downstreamBandwidthintegeryesDownstream bandwidth should be within the range of 1–9999999.
downstreamBandwidthUnitintegeryesDownstream bandwidth unit should be a value as follows: 1: Kbps, 2: Mbps.
modeintegeryesMode should be a value as follows: 0: share; 1: individual.
json
// omada_call_operation
{
  "operationId": "createBandwidthCtrlRuleTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create bandwidth control template rule.
The interface requires one of the permissions:
Global Site Template Manager Modify

deleteBandwidthCtrlRuleTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/bandwidth-control/rules/{ruleId}

Delete bandwidth control template rule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ruleIdpathstringyesBandwidth control template rule ID
json
// omada_call_operation
{
  "operationId": "deleteBandwidthCtrlRuleTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ruleId": "<ruleId>"
  }
}
Details, permissions and error codes

Delete bandwidth control template rule.
The interface requires one of the permissions:
Global Site Template Manager Modify

modifyBandwidthCtrlRuleTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/bandwidth-control/rules/{ruleId}

Modify bandwidth control template rule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
ruleIdpathstringyesBandwidth control template rule ID

Request body — application/json (required) — schema BandwidthControlRule

FieldTypeRequiredDescription
idstringnoID of the bandwidth control rule.
namestringyesName should contain 1 to 64 characters.
indexintegernoIndex of the bandwidth control rule.
statusbooleanyesStatus of the bandwidth control rule.
sourceTypeintegernoSource type should be a value as follows: 0: network; 1: IP group.
sourceIdsarray<string>yesSource IDs of the bandwidth control rule. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. IP group can be created using 'Create a new group profile' interface, and IP group ID can be obtained from 'Get group profile list' interface.
wanPortIdsarray<string>yesWAN port IDs of the bandwidth control rule.WAN port ID can be obtained from 'Get internet basic info' interface.
upstreamBandwidthintegeryesUpstream bandwidth should be within the range of 1–9999999.
upstreamBandwidthUnitintegeryesUpstream bandwidth unit should be a value as follows: 1: Kbps, 2: Mbps.
downstreamBandwidthintegeryesDownstream bandwidth should be within the range of 1–9999999.
downstreamBandwidthUnitintegeryesDownstream bandwidth unit should be a value as follows: 1: Kbps, 2: Mbps.
modeintegeryesMode should be a value as follows: 0: share; 1: individual.
json
// omada_call_operation
{
  "operationId": "modifyBandwidthCtrlRuleTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "ruleId": "<ruleId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify bandwidth control template rule.
The interface requires one of the permissions:
Global Site Template Manager Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.